Summary: A library of DSP functions for telephony spans
Name: spandsp004
Version: 0.0.4
Release: 14%{?dist}
Epoch: 1
License: GPLv2
Group: System Environment/Libraries
URL: http://www.soft-switch.org/
Source0: http://www.soft-switch.org/downloads/spandsp/spandsp-%{version}.tgz
Patch0: spandsp-0.0.4-soname.patch
Patch1: spandsp-0.0.4-datadir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: autoconf, automake, libtool
BuildRequires: libtiff-devel >= 3.5.7
BuildRequires: audiofile-devel, fftw-devel, fltk-devel
BuildRequires: libxml2-devel, netpbm-progs
BuildRequires: sox
BuildRequires: doxygen
BuildRequires: libxslt
Obsoletes: spandsp < %{evr}
Conflicts: spandsp, spandsp002, spandsp003

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%lib_package spandsp-0.0.4 0
%lib_package spandsp-sim-0.0.4 0

%devel_extra_Obsoletes spandsp-devel < %{evr}
%devel_extra_Conflicts spandsp-devel, spandsp002-devel, spandsp003-devel

%prep
%setup -q -n spandsp-%{version}
#patch0 -p1 -b .linkage
%patch0 -p1 -b .soname
%patch1 -p1 -b .datadir

%build
libtoolize -f
autoreconf
%configure \
  --disable-dependency-tracking \
  --disable-static \
  --enable-doc \
%ifarch %{ix86} x86_64
  --enable-tests \
%endif
%ifarch %{ix86} x86_64
  --enable-mmx --enable-sse
%endif
#  --enable-itutests
make "CFLAGS=%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README DueDiligence NEWS
%{_datadir}/spandsp/

%changelog
* Sat Aug 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.4-14
- Rename to spandsp004.

* Fri Jun 13 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:0.0.4-12_pre16
- Revert back to 0.0.4pre16.

* Wed Mar 26 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:0.0.4-10_pre18
- Update to 0.0.4pre18.

* Sat Jul 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.3-7
- Update to 0.0.3 final.

* Fri Dec 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.3-6_pre27
- Update to 0.0.3pre27.

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.3-5_pre24
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Fri Oct 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.0.3-4_pre24
- Update to 0.0.3pre24.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.2pre26.

* Tue Nov 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.2-pre21c.

* Sun Apr 3 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial build.
